#  Licensed Materials - Property of IBM
#  5698-B34  Copyright IBM Corp. 2010
#  All rights reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#    File: tivoli_eif/zOSEventSupport_copy.sh, OMNIbus, EventPump421
#    SID: 1.1
#    Date Modified: 10/09/16 10:38:21
#
#    Change History:
#    YY/MM/DD            Description
#    10/08/31            Initial IBM Tivoli Event Pump for z/OS V4.2.1
#                        Interim Feature 2
#
#  This script will copy IBM Tivoli Event Pump for z/OS V4.2.1 Interim Feature 2
#  files from the current directory to the $ONMIHOME/etc/EventPump directory.

if [ "$OMNIHOME" != "" ]
then
  if [ -d "$OMNIHOME/etc/EventPump" ]
  then
    count=0
  else
    mkdir "$OMNIHOME/etc/EventPump"
  fi
  if [ -d "$OMNIHOME/etc/EventPump" ]
  then
    cp -f *.sh "$OMNIHOME/etc/EventPump"
    cp -f zos_files/*.rules "$OMNIHOME/etc/EventPump"
    echo "Files copied"
  else
    echo "The EventPump path does not exist"
  fi
else
  echo "The environment variable OMNIHOME is not defined"
fi

